%define major       0
%define libname     ThePEG
%define libnamedev  ThePEG-devel
%define develnamestatic  ThePEG-static-devel



Name:           ThePEG
Version:        2.1.5
Release:        7%{?dist}
License:        GPLv3
Url:            http://www.hepforge.org/archive/thepeg
Source0:        https://thepeg.hepforge.org/downloads/%{name}-%{version}.tar.bz2
Patch1:         patch-ThePEG-1.txt
Summary:        Monte Carlo event generator toolkit
Requires:       lhapdf fastjet gsl zlib gsl fastjet libquadmath
BuildRequires:  autoconf automake  lhapdf-devel  libtool gcc-c++ gcc-gfortran libquadmath-devel  libquadmath
BuildRequires:  gsl gsl-devel fastjet fastjet-devel zlib-devel
Requires:       Rivet Rivet-devel  MG5_aMC fjcontrib YODA
BuildRequires:  Rivet Rivet-devel  MG5_aMC fjcontrib YODA YODA-devel


Requires:      HepMC3  HepMC3-rootIO HepMC3-search   HepMC3-devel HepMC3-search-devel HepMC3-rootIO-devel 
BuildRequires:  HepMC3  HepMC3-rootIO HepMC3-search   HepMC3-devel HepMC3-search-devel HepMC3-rootIO-devel 

#Actually only Rivet+HepMC3 will work with ThePEG+HepMC3
Prefix: %{_prefix}

%description
 ThePEG is a toolkit for providing a common platform for using and 
 building event generators in C++. 


%package  devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       gsl-devel fastjet-devel

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.


%prep
%setup -q
%patch1 -p 1
%build
touch configure.ac
autoreconf --force --install --verbose .
autoreconf -i
%configure  --with-hepmc=%_prefix --with-rivet=%_prefix --with-fastjet=%_prefix  --with-lhapdf=/usr   --with-hepmcversion=3
cat config.log
make %{?_smp_mflags}

%install
%make_install 

%files 
%doc AUTHORS README COPYING

%files -n %{libname}
%_bindir/*
%_datadir/ThePEG/*
%_libdir/ThePEG/*


%files -n %{libnamedev}
%_includedir/ThePEG

%changelog
* Thu May 26 2016 Andrii Verbytskyi 2.0.2
+ Initial spec file
